Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ConstantSpec

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ElementSpec
          com.ibm.jzos.recordgen.asm.ConstantSpec

    public class ConstantSpec

extends ElementSpec

A subtype of ElementSpec, part of a RecordSpec, used to describe an assembler DSECT constant.

See Also:
  `RecordSpec`, `ElementSpec`

Constructor Summary
`ConstantSpec()`

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write a debug dump of the receiver.
`java.lang.Object` | `getValue()` Answer a Character or Integer object value for this constant
`boolean` | `isRelocatable()` Answer true if the receiver is from a relocatable symbol
`void` | `setRelocatable(boolean relocatable)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class com.ibm.jzos.recordgen.asm.ElementSpec
`getLabel, getSourceLines, getSourceStmt, setLabel, setSourceLines, setSourceStmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantSpec

    public ConstantSpec()

Method Detail

### isRelocatable

    public boolean isRelocatable()

  Answer true if the receiver is from a relocatable symbol

  Returns:
    boolean

### setRelocatable

    public void setRelocatable(boolean relocatable)

  See Also:
    `isRelocatable()`

### getValue

    public java.lang.Object getValue()

  Answer a Character or Integer object value for this constant

  Returns:
    Object a Character or Integer object wrapper

### setValue

    public void setValue(java.lang.Object value)

  See Also:
    `getValue()`

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write a debug dump of the receiver.

  Overrides:
    `dumpOn` in class `ElementSpec`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD